# updateData

### Description

This method allows you to change any visitor data property; the changes are reflected in the 'geoflow' JS object and session storage. One advantage to this is that it allows you to simulate what different visitors may experience on your Webflow website.

An object containing key-value pairs of visitor data properties, separated by commas, is accepted. Each key-value pair consists of a propertyName (e.g. countryCode) as the key and its corresponding propertyValue (e.g. US) as the value. Both are treated as strings.

The geoflowUpdated event will be fired, and the Geoflow\_Updated callback will be triggered.

### Parameters

```vbnet
{ propertyName (string key): propertyValue (string) }
```

### Using This Method

```javascript
geoflow.updateData({ countryCode: 'US' });
```

### Output

```javascript
true (boolean)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/advanced/methods/updatedata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
